## murano 10.0.0~b3~git2020091408.7c153733

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
alembic>=0.8.10 # MIT
eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
tenacity>=4.4.0 # Apache-2.0
WebOb>=1.7.1 # MIT
kombu!=4.0.2,>=4.0.0 # BSD
psutil>=3.2.2 # BSD
netaddr>=0.7.18 # BSD
PyYAML>=3.12 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
testtools>=2.2.0 # MIT
yaql>=1.1.3 # Apache 2.0 License
debtcollector>=1.2.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema>=3.2.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
semantic-version>=2.8.2 # BSD
castellan>=0.18.0 # Apache-2.0

=== debian/changelog ===
murano (1:10.0.0~b3~git2020091408.7c153733-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 08:10:36 +0000

murano (1:10.0.0~b2~git2020073111.ae9b4e80-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 31 Jul 2020 11:53:22 +0000

murano (1:10.0.0~b1~git2020070210.4c2f898b-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-semantic-version-2.8.2-tests.patch: Dropped. No longer needed.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 10:02:05 -0400

murano (1:9.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 9.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/p/skip-py38-failures.patch: Refresh patch.
  * d/p/skip-semantic-version-2.8.2-tests.patch: Refresh patch.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 15 May 2020 07:11:26 +0000

=== debian/control ===
Source: murano
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 git,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-castellan (>= 0.18.0),
 python3-congressclient (>= 1.9.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kombu (>= 4.0.0),
 python3-migrate (>= 0.11.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-murano-pkg-check (>= 0.3.0),
 python3-muranoclient (>= 0.8.2),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.7.0),
 python3-pycodestyle (>= 2.0.0),
 python3-pymysql (>= 0.7.6),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.8.2),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-unittest2 (>= 1.1.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 subunit,
 tempest (>= 1:12.0.0),
 testrepository,
 zip,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
Homepage: https://github.com/openstack/murano
Testsuite: autopkgtest-pkg-python

Package: murano-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: cloud-ready application catalog - API server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the API server.

Package: murano-cfapi
Architecture: all
Depends:
 adduser,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: cloud-ready application catalog - Cloud Foundry broker
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Cloud Foundry Service Broker API. For more info,
 see https://docs.cloudfoundry.org/services/api.html.

Package: murano-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-murano (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: cloud-ready application catalog - common files
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains common files to all Murano servers.

Package: murano-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cloud-ready application catalog - doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation.

Package: murano-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: cloud-ready application catalog - Engine server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Engine server.

Package: python3-murano
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 0.18.0),
 python3-congressclient (>= 1.9.0),
 python3-cryptography (>= 2.1),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-heatclient (>= 1.10.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kombu (>= 4.0.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-muranoclient (>= 0.8.2),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.3.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.7.0),
 python3-pymysql (>= 0.6.2),
 python3-requests (>= 2.8.1),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.8.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - Python 3 libs
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3 library for Murano.

## murano 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,22 +6,22 @@
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 stevedore>=1.20.0 # Apache-2.0
 alembic>=0.8.10 # MIT
-eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
+eventlet>=0.26.0 # MIT
 PasteDeploy>=1.5.0 # MIT
 Routes>=2.3.1 # MIT
-tenacity>=4.4.0 # Apache-2.0
+tenacity>=4.12.0 # Apache-2.0
 WebOb>=1.7.1 # MIT
-kombu!=4.0.2,>=4.0.0 # BSD
+kombu>=4.6.1 # BSD
 psutil>=3.2.2 # BSD
 netaddr>=0.7.18 # BSD
-PyYAML>=3.12 # MIT
+PyYAML>=3.13 # MIT
 jsonpatch!=1.20,>=1.16 # BSD
 keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 testtools>=2.2.0 # MIT
 yaql>=1.1.3 # Apache 2.0 License
 debtcollector>=1.2.0 # Apache-2.0
-cryptography>=2.1 # BSD/Apache-2.0
+cryptography>=2.7 # BSD/Apache-2.0
 
 # For paste.util.template used in keystone.common.template
 Paste>=2.0.2 # MIT
@@ -32,7 +32,7 @@
 python-neutronclient>=6.7.0 # Apache-2.0
 python-muranoclient>=0.8.2 # Apache-2.0
 python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
-oslo.db>=4.27.0 # Apache-2.0
+oslo.db>=4.44.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0

=== doc/requirements.txt ===
# doc build requirements
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0

=== contrib/plugins/murano_heat-translator_plugin/requirements.txt ===
heat-translator>=2.0.0 # Apache-2.0
tosca-parser>=2.0.0  # Apache-2.0

=== debian/changelog ===
murano (1:10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Blacklist broken test:
    - TestCaseShell.test_help()

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 20:09:16 +0200

murano (1:10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 09:58:12 +0200

murano (1:9.0.0-1) unstable; urgency=medium

  * Fixed watch file URL.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 17:16:58 +0200

murano (1:9.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 22:59:06 +0200

murano (1:9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 22:25:36 +0200

murano (1:8.0.0-3) unstable; urgency=medium

  * Blacklist failing tests (failing because of wrong order in result):
    - test_XML_Dict_Serializer_create_link_nodes()
    - test_export_fixation_table()
    (Closes: #951927).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 21:24:23 +0100

=== debian/control ===
Source: murano
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-babel,
 python3-castellan,
 python3-coverage,
 python3-cryptography (>= 2.7),
 python3-debtcollector,
 python3-eventlet (>= 0.26.0),
 python3-fixtures,
 python3-hacking,
 python3-heatclient,
 python3-jsonpatch,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu (>= 4.6.1),
 python3-migrate,
 python3-mistralclient,
 python3-murano-pkg-check,
 python3-muranoclient (>= 1.2.0-4~),
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-nose,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psutil,
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-semantic-version (>= 2.8.2),
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 python3-yaql,
 subunit,
 tempest,
 zip,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/murano
Vcs-Git: https://salsa.debian.org/openstack-team/services/murano.git
Homepage: https://github.com/openstack/murano

Package: murano-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 python3-openstackclient,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: cloud-ready application catalog - API server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the API server.

Package: murano-cfapi
Architecture: all
Depends:
 adduser,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: cloud-ready application catalog - Cloud Foundry broker
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Cloud Foundry Service Broker API. For more info,
 see https://docs.cloudfoundry.org/services/api.html.

Package: murano-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-murano (= ${source:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 murano-api (<< 1:6.0.0~),
 murano-engine (<< 1:6.0.0~),
Replaces:
 murano-api (<< 1:6.0.0~),
 murano-engine (<< 1:6.0.0~),
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - common files
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains common files to all Murano servers.

Package: murano-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cloud-ready application catalog - doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation.

Package: murano-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: cloud-ready application catalog - Engine server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Engine server.

Package: python3-murano
Architecture: all
Section: python
Depends:
 alembic,
 python3-babel,
 python3-castellan,
 python3-cryptography (>= 2.7),
 python3-debtcollector,
 python3-eventlet (>= 0.26.0),
 python3-heatclient,
 python3-jsonpatch,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu (>= 4.6.1),
 python3-mistralclient,
 python3-muranoclient (>= 1.2.0-4~),
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psutil,
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-semantic-version (>= 2.8.2),
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-testtools,
 python3-webob,
 python3-yaml,
 python3-yaql,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - Python 3.x server code
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3.x server code.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE=$(shell dpkg-parsechangelog  | grep Date: | cut -d' ' -f2)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_clean:
	rm -rf 	build \
	 	debian/murano-common.postinst \
		debian/murano-common.config \
		debian/murano-api.postinst \
		debian/murano-api.config \
		debian/murano-common.postrm \
		doc/build/man
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean
	rm -rf debian/*.templates debian/po

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm murano-common.postrm
	pkgos-merge-templates murano-api murano endpoint
	pkgos-merge-templates murano-common murano db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit pkgos-dh_auto_test --no-py2 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*|.*common\.test_wsgi\.TestXMLDictSerializer\.test_XML_Dict_Serializer_create_link_nodes.*|.*engine\.test_package_loader\.TestCombinedPackageLoader\.test_export_fixation_table.*|.*api.cmd\.test_test_runner\.TestCaseShell\.test_help.*))'
endif

	# Get the main config file to use decent defaults.
	mkdir -p $(CURDIR)/debian/murano-common/usr/share/murano-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf \
		--wrap-width 140 \
		--namespace keystone_authtoken \
		--namespace murano \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace castellan.config
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf keystone_authtoken murano

	sed -i 's|^[# \t]*notification_driver[ \t]*=.*|notification_driver=messagingv2|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
	sed -i 's|#connection=<None>|connection=sqlite:///var/lib/murano/muranodb|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano-cfapi.conf \
		--wrap-width 140 \
		--namespace keystone_authtoken \
		--namespace murano.cfapi \
		--namespace oslo.db \
		--namespace oslo.log

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/policy.yaml \
		--namespace murano

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

	# Install config files
	for i in murano-cfapi-paste.ini murano-paste.ini ; do \
		cp $(CURDIR)/etc/murano/$$i $(CURDIR)/debian/murano-common/usr/share/murano-common ; \
	done
	cp $(CURDIR)/etc/murano/logging.conf.sample $(CURDIR)/debian/murano-common/usr/share/murano-common/logging.conf

	# Zip the murano core-library and push it in the package.
	# Note that this is done in a reproducible way, adjusting timestamps
	# before zipping the files.
	find meta/io.murano -newermt '$(BUILD_DATE)' -print0 | xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
	cd meta/io.murano ; TZ=UTC zip -r ../../debian/murano-common/usr/share/murano-common/io.murano.zip * ; cd ../..

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	if ! PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/murano-doc/usr/share/doc/murano-doc/html ; then \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## murano 11.0.0

=== debian/changelog ===
murano (1:11.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:53:01 +0000

murano (1:11.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 08:25:31 -0400

murano (1:10.0.0+git2021012507.e078063c-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:06:32 +0000

murano (1:10.0.0+git2020121014.38c7835d-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py39-failures.patch: Skip py39 failures until fixed upstream.
  * d/p/skip-py38-failures.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 14:06:34 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/murano/ murano-(11\.\d.*)\.tar\.gz

## murano 12.0.0

=== debian/changelog ===
murano (1:12.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 12.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 07:32:50 +0000

murano (1:11.0.0+git2021090814.8ab430b2-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:57 +0000

murano (1:11.0.0+git2021061112.67baf317-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:48 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/murano/ murano-(12.\d.*)\.tar\.gz

## murano 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
alembic>=0.9.6 # MIT
eventlet>=0.26.0 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
tenacity>=4.12.0 # Apache-2.0
WebOb>=1.7.1 # MIT
kombu>=4.6.1 # BSD
psutil>=3.2.2 # BSD
netaddr>=0.7.18 # BSD
PyYAML>=5.1 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.8.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
testtools>=2.2.0 # MIT
yaql>=1.1.3 # Apache 2.0 License
debtcollector>=1.2.0 # Apache-2.0
cryptography>=2.7 # BSD/Apache-2.0

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema>=3.2.0 # MIT
python-keystoneclient>=3.17.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
semantic-version>=2.8.2 # BSD
castellan>=0.18.0 # Apache-2.0

=== debian/changelog ===
murano (1:13.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:19:49 -0400

murano (1:12.0.0+git2022030313.f0258fc8-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:56:24 -0500

murano (1:12.0.0+git2021120910.314c85db-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:52:51 -0500

=== debian/control ===
Source: murano
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 git,
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-castellan (>= 0.18.0),
 python3-congressclient (>= 1.9.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.26.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.8.0),
 python3-keystoneclient (>= 1:3.17.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kombu (>= 4.6.1),
 python3-migrate (>= 0.11.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-murano-pkg-check (>= 0.3.0),
 python3-muranoclient (>= 0.8.2),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:4.4.1),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pycodestyle (>= 2.5.0),
 python3-pymysql (>= 0.8.0),
 python3-requests (>= 2.20.0),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.8.2),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.12.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-unittest2 (>= 1.1.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 subunit,
 tempest (>= 1:12.0.0),
 testrepository,
 zip,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/murano
Homepage: https://github.com/openstack/murano
Testsuite: autopkgtest-pkg-python

Package: murano-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: cloud-ready application catalog - API server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the API server.

Package: murano-cfapi
Architecture: all
Depends:
 adduser,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: cloud-ready application catalog - Cloud Foundry broker
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Cloud Foundry Service Broker API. For more info,
 see https://docs.cloudfoundry.org/services/api.html.

Package: murano-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-murano (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: cloud-ready application catalog - common files
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains common files to all Murano servers.

Package: murano-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cloud-ready application catalog - doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation.

Package: murano-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: cloud-ready application catalog - Engine server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Engine server.

Package: python3-murano
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 0.18.0),
 python3-congressclient (>= 1.9.0),
 python3-cryptography (>= 2.7),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.26.0),
 python3-heatclient (>= 1.10.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.8.0),
 python3-keystoneclient (>= 1:3.17.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kombu (>= 4.6.1),
 python3-mistralclient (>= 1:3.1.0),
 python3-muranoclient (>= 0.8.2),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.3.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.7.0),
 python3-pymysql (>= 0.6.2),
 python3-requests (>= 2.8.1),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.8.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.12.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: cloud-ready application catalog - Python 3 libs
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 3 library for Murano.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,19 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=murano
 
 LAST_CHANGE=$(shell dpkg-parsechangelog  | grep Date: | cut -d' ' -f2)
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
+
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	rm -rf 	build \
@@ -20,9 +26,6 @@
 	rm -f debian/*.init debian/*.service debian/*.upstart
 	dh_clean
 	rm -rf debian/*.templates debian/po
-
-override_dh_auto_clean:
-	python3 setup.py clean
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.config
@@ -40,17 +43,16 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
+	pkgos-dh_auto_install --no-py2
+	rm -rf $(CURDIR)/debian/python*-murano/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit pkgos-dh_auto_test --no-py2 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*|.*common\.test_wsgi\.TestXMLDictSerializer\.test_XML_Dict_Serializer_create_link_nodes.*|.*engine\.test_package_loader\.TestCombinedPackageLoader\.test_export_fixation_table.*|.*api.cmd\.test_test_runner\.TestCaseShell\.test_help.*))'
+	DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit pkgos-dh_auto_test --no-py2 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*))'
 endif
 
 	# Get the main config file to use decent defaults.
 	mkdir -p $(CURDIR)/debian/murano-common/usr/share/murano-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-murano/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf \
 		--wrap-width 140 \
 		--namespace keystone_authtoken \
@@ -67,7 +69,7 @@
 	sed -i 's|^[# \t]*notification_driver[ \t]*=.*|notification_driver=messagingv2|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
 	sed -i 's|#connection=<None>|connection=sqlite:///var/lib/murano/muranodb|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-murano/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano-cfapi.conf \
 		--wrap-width 140 \
 		--namespace keystone_authtoken \
@@ -75,12 +77,11 @@
 		--namespace oslo.db \
 		--namespace oslo.log
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-murano/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/policy.yaml \
 		--namespace murano
 
 	dh_install
-	rm -rf $(CURDIR)/debian/tmp/usr/etc
 	dh_missing --fail-missing
 
 	# Install config files
@@ -97,11 +98,8 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	if ! PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/murano-doc/usr/share/doc/murano-doc/html ; then \
-		cat /tmp/sphinx-err* ; \
-		exit 1 ; \
-	fi
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/murano-doc/usr/share/doc/murano-doc/html
+	dh_sphinxdoc
 endif
 
 override_dh_python3:

=== debian/tests/control ===
Tests: murano-daemons
Depends: murano-common, murano-api,
 murano-engine, murano-cfapi
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/murano/ murano-(13.\d.*)\.tar\.gz

## murano 13.0.0+git2022091213.4434b574

=== debian/changelog ===
murano (1:13.0.0+git2022091213.4434b574-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 12 Sep 2022 23:17:49 +0000

murano (1:13.0.0+git2022091213.4434b574-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/p/skip-py310-failure.patch: Skip py310 failure until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:16:51 -0400

murano (1:13.0.0+git2022071414.4434b574-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:19:34 -0400

murano (1:13.0.0+git2022060213.921a53ad-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 13:53:58 -0400
